// MiscMath.cpp  Misc. math functions
// version 1.0
// (c) 2005 Chad Berchek

#include <cmath>
#include "miscmath.h"
using namespace std;

double fround(double x) {
	if (x > 0.) return floor(x + 0.5);
	else if (x < 0.) return ceil(x - 0.5);
	return x;
}

short roundToShort(double x) {
	if (x > 0.) x += 0.5;
	else if (x < 0.) x -= 0.5;
	return x;
}
