// MiscMath.h  Misc. math functions
// version 1.0
// (c) 2005 Chad Berchek

#ifndef MISCMATH_H
#define MISCMATH_H

#include <cmath>
using namespace std;

// fpart(x) returns the decimal part of the number
#define fpart(X) fmod(X, 1.)

// Rounds a floating point number. If the decimal part is >=.5 it rounds up, else down, for
// a positive number. If the decimal part is <=.5 it rounds down, else up, for a negative number.
double fround(double x);

// Rounds the same way as fround() but returns a short.
short roundToShort(double x);

#endif
