// WaveTypes.h  Typedefs and consts for working with wave files
// version 1.0
// (c) 2005 Chad Berchek

#ifndef WaveUtil_h
#define WaveUtil_h

typedef double frequencyT;
typedef double timeT;
typedef double percentVolumeT;
typedef long sampleCountT;
typedef long cycleCountT;
typedef unsigned long samplingRateT;
typedef short sampleT;
typedef double amplitudeT;
typedef double phaseT;

const short MAX_SAMPLE_VALUE = 32767;  // for 16-bit samples

#endif
